Get transfer configuration

Prev Next
Get
/teams/{team_id}/transfers/{transfer_id}

Returns configuration for an existing Hub transfer.

Returns: Full transfer configuration details.

Important Notes:

  • Requires scope dwh_transfers_read
  • Your account must have dwh.transfer.view permission. See roles and permissions.
Security
HTTP
Type bearer

Bearer token authentication. Include the token in the Authorization header: Authorization: Bearer <your-token>

Path parameters
team_id
integer (int64) Required

Unique identifier of the team

Minimum1
Maximum9223372036854776000
Example12345
transfer_id
integer (int64) Required

Unique identifier of the transfer

Minimum1
Maximum9223372036854776000
Example456789
Responses
200

Transfer configuration retrieved successfully

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
Expand All
object

Full transfer configuration

transfer_id
integer (int32)

The transfer ID

Example36091
display_name
string

Display name of the transfer

ExampleAW enhanced 2022-11-17
schema_id
integer (int32)

Schema identifier

Example2
destination_id
integer (int32) | null

Destination identifier

Example8
accounts
Array of object (TransferAccount)

Data source accounts included in transfer

object
Example{ "data_source_username": "user.name@supermetrics.com", "login_id": 2682599, "account_id": "8733197711" }
data_source_username
string

Username for data source authentication

Max length255
login_id
integer (int32)

Login identifier

account_id
string

Account identifier in the data source

Max length100
segments
Array of object (TransferSegment)

Data segments included in transfer

object
Example{ "data_source_username": "user.name@supermetrics.com", "login_id": 2830506, "segment_id": "-1", "segment_name": "All users" }
data_source_username
string

Username for data source authentication

Max length255
login_id
integer (int32)

Login identifier

segment_id
string

Segment identifier

Max length100
segment_name
string

Human-readable segment name

Max length255
license
object

License information

id
integer

License ID

product_title
string

Product title

license_title
string

License title

is_expired
boolean

Whether license is expired

is_trial
boolean

Whether license is trial

end_date
string (date-time)

License end date

features
object

License features

property*
string additionalProperties
schedule
Array of object (TransferSchedule)

Transfer schedule configuration

object
Example{ "run_interval": "daily", "run_hour": 22, "refresh_window": 1 }
run_interval
string

Frequency of transfer execution

Valid values[ "hourly", "daily", "weekly", "monthly" ]
run_hour
integer (int32)

Hour of day to run (UTC)

Minimum0
Maximum23
refresh_window
integer (int32)

Number of days to refresh

Minimum1
run_weekday
integer (int32)

Day of week to run (1=Monday, 7=Sunday). Required for weekly interval.

Minimum1
Maximum7
run_day
integer (int32)

Day of month to run. Required for monthly interval.

Minimum1
Maximum31
data_source
object

Data source information and settings

data_source_id
string

Data source identifier

service_name
string

Service name

service_provider
string

Service provider

settings
Array of object (TransferDataSourceSetting)

Data source settings

object
Example{ "field_id": "BRAND_KEYWORDS", "value": "", "group": "Default" }
field_id
string

Setting field identifier

Max length100
value

Setting value (type varies by field)

OneOf
string
string
boolean
boolean
integer
integer
group
string

Setting group identifier

Max length100
notification_recipients
Array of object | null

Email recipients for transfer notifications

object
email
string (email)
external_url
string | null

External URL for DTS BigQuery transfers

401

Unauthorized - Authentication is required and has failed or has not been provided.

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "019461A0-0000-7000-8000-000000000000"
  },
  "error": {
    "code": "API_KEY_INVALID",
    "message": "Invalid API key",
    "description": "Provided API key was invalid."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
403

Forbidden - The request is understood, but access is not allowed

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "ACCESS_DENIED",
    "message": "Access Denied",
    "description": "You do not have permission to perform this operation."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
404

Transfer not found

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "NOT_FOUND",
    "message": "Not Found",
    "description": "The requested transfer could not be found or you do not have access to it."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
429

Too Many Requests - Rate limit exceeded.

Headers
Retry-After
integer
Number of seconds to wait before making another request
Minimum1
Maximum3600
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "019461A0-0000-7000-8000-000000000000"
  },
  "error": {
    "code": "API_ROW_QUOTA_EXCEEDED",
    "message": "Row quota exceeded",
    "description": "You have exceeded your row-quota limit of rows for this month. Please log into Supermetrics Hub at https://hub.supermetrics.com/ and upgrade your plan, or contact our Supermetrics support team."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
500

Internal Server Error - An error occurred on the server.

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "INTERNAL_SERVER_ERROR",
    "message": "Internal Server Error",
    "description": "An unexpected error occurred. Please try again later or contact support."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255